List Hero SMS countries
GET
/providers/herosms/countries
const url = 'https://api.clearance.rest/numbers/providers/herosms/countries';const options = {method: 'GET', headers: {'X-API-Key': '<X-API-Key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.clearance.rest/numbers/providers/herosms/countries \ --header 'X-API-Key: <X-API-Key>'Visible Hero SMS countries. id is Hero SMS’s numeric country id, which the other Hero SMS endpoints take as country. countryCode is the ISO alpha-2 code, or null for an id that has no mapping.
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Countries.
Media typeapplication/json
object
success
required
boolean
countries
required
Array<object>
object
id
required
integer
country
required
string
countryCode
required
string | null
rent
required
boolean
Example
{ "success": true, "countries": [ { "id": 6, "country": "Indonesia", "countryCode": "ID", "rent": true }, { "id": 187, "country": "USA", "countryCode": "US", "rent": false } ]}The X-API-Key header is missing or invalid.
Media typeapplication/json
Error envelope returned with a non-2xx status.
object
success
required
boolean
error
required
Human-readable error message.
string
Example
{ "success": false, "error": "geçersiz API anahtarı"}The upstream provider call failed (network error, auth error, or the provider’s own error).
Media typeapplication/json
Error envelope returned with a non-2xx status.
object
success
required
boolean
error
required
Human-readable error message.
string
Example
{ "success": false, "error": "invalid json body"}